Issue 26826 - "Standard"-mode is unable to display scientific with negative exponents
Summary: "Standard"-mode is unable to display scientific with negative exponents
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: OOo 1.1.1RC
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL:
Keywords:
: 111627 (view as issue list)
Depends on:
Blocks:
 
Reported: 2004-03-22 15:39 UTC by norbert2
Modified: 2017-05-20 10:33 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description norbert2 2004-03-22 15:39:57 UTC
If inserting for example "5000000000000000" in a cell, "5,00E+015" is displayed.
This is correct and equal to Excel.

If inserting "0,000000000000005" "0" is shown. This is a bug. Equal to the case 
above, "5,00E-015" should be displayed (like Excel does). In this case in Calc 
its necessary to switch to scientific mode in order to have an 
scientific-display.

This means that the "Standard"-mode does not automatically display scientific 
for negative exponents.

Please fix this!
Comment 1 norbert2 2004-03-25 10:27:33 UTC
I changed the summary.
Comment 2 frank 2004-03-25 15:56:08 UTC
Hi Bettina,

curently we shorten great numbers to display in scientific format, otherwise we
just make a number with many zeros as decimal places to display as zero. What's
about displaying such numbers also as scientific ?

Frank
Comment 3 ace_dent 2008-05-16 02:56:26 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 ccheney 2009-01-13 02:42:38 UTC
This bug still exists and causes OOo to differ in display to Excel. In Excel in
General format for Excel it displays very small number automatically in
scientific notation where in Calc it does not.
Comment 5 kyoshida 2009-10-16 19:38:53 UTC
Grabbin'it.
Comment 6 kyoshida 2009-10-16 19:39:07 UTC
started
Comment 7 kyoshida 2009-11-16 16:42:46 UTC
This issue is now being working on in koheiautodecimal cws.
Comment 8 kyoshida 2010-02-04 02:42:51 UTC
fixed in koheiautodecimal cws.
Comment 9 Risto Jääskeläinen 2010-02-04 08:32:18 UTC
This correction is fine. But without undermining if there is only 0 votes for
this enhancement can it also arranged so that old feature is also easily usable?
Something like numbers format "General" and "General_ADD"?

Ystävällisesti
Risto J.
Comment 10 kyoshida 2010-02-04 16:17:35 UTC
re-assigning to oc for qa verification.
Comment 11 oc 2010-05-12 13:43:14 UTC
verified in internal build cws_koheiautodecimal
Comment 12 norbert2 2010-05-12 19:38:00 UTC
Thank you, kohei.
Comment 13 Regina Henschel 2010-05-15 16:17:12 UTC
*** Issue 111627 has been marked as a duplicate of this issue. ***